clang-tools 6.0.0

Public Member Functions | Public Attributes | List of all members
Argument Class Reference

This class represents one callback function argument by name and value. More...

`#include <PPCallbacksTracker.h>`

Collaboration diagram for Argument:
[legend]

## Public Member Functions
| Argument (llvm::StringRef Name, llvm::StringRef Value)
| Argument ()=default

## Public Attributes
std::string | Name
std::string | Value

## Detailed Description

This class represents one callback function argument by name and value.

Definition at line 36 of file PPCallbacksTracker.h.

## Constructor & Destructor Documentation

## ◆ Argument() [1/2]

Argument::Argument | ( | llvm::StringRef | Name,
|  | llvm::StringRef | Value
| ) |  |
| inline

Definition at line 38 of file PPCallbacksTracker.h.

References Argument().

## ◆ Argument() [2/2]

Argument::Argument | ( |  | ) |
| default

Referenced by Argument().

## Member Data Documentation

## ◆ Name

std::string Argument::Name

Definition at line 42 of file PPCallbacksTracker.h.

Referenced by outputPPTrace().

## ◆ Value

std::string Argument::Value

Definition at line 43 of file PPCallbacksTracker.h.

Referenced by outputPPTrace().

The documentation for this class was generated from the following file:

- PPCallbacksTracker.h